/*

 NodeAwareParseable.java
 
 Copyright 2004 KUBO Hiroya (hiroya@sfc.keio.ac.jp).
 
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at
 
 http://www.apache.org/licenses/LICENSE-2.0
 
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 
 Created on 2004/10/12

 */
package org.kohsuke.rngom.parse.xml;

import javax.xml.parsers.DocumentBuilderFactory;

import com.thaiopensource.relaxng.parse.BuildException;
import org.kohsuke.rngom.ast.builder.IncludedGrammar;
import org.kohsuke.rngom.ast.builder.SchemaBuilder;
import org.kohsuke.rngom.ast.builder.Scope;
import org.kohsuke.rngom.ast.om.ParsedPattern;
import org.kohsuke.rngom.parse.IllegalSchemaException;
import org.kohsuke.rngom.xml.sax.XMLReaderCreator;
import org.xml.sax.ErrorHandler;
import org.xml.sax.InputSource;

/**
 * @author hiroya
 *
 */
public class NodeAwareParseable extends SAXParseable {
    public NodeAwareParseable(InputSource in, ErrorHandler eh, XMLReaderCreator xrc) {
        super(in, eh, xrc);
    }

    public NodeAwareParseable(InputSource in, ErrorHandler eh) {
        super(in, eh);
        DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
        /*
        DocumentBuilder builder = factory.newDocumentBuilder();
        DOMParser parser = new DOMParser();
        parser.parse(new InputSource(in));
        */ 
    }
    
    public ParsedPattern parse(SchemaBuilder schemaBuilder) throws BuildException, IllegalSchemaException {
        return super.parse(schemaBuilder);//TODO
    }

    public ParsedPattern parseInclude(String uri, SchemaBuilder schemaBuilder, IncludedGrammar g, String inheritedNs)
    	throws BuildException, IllegalSchemaException {
        return super.parseInclude(uri, schemaBuilder, g, inheritedNs);
	}

    public ParsedPattern parseExternal(String uri, SchemaBuilder schemaBuilder, Scope s, String inheritedNs)
                throws BuildException, IllegalSchemaException {
        return super.parseExternal(uri, schemaBuilder, s, inheritedNs);
    }

}
